com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Interface JavaPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface JavaPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `JavaFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JavaPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASSOCIATION_METADATA` The meta object id for the '`Association Metadata`' class
    `static int` | `ASSOCIATION_METADATA__ARRAY` The feature id for the 'Array' attribute
    `static int` | `ASSOCIATION_METADATA__CATEGORY` The feature id for the 'Category' attribute
    `static int` | `ASSOCIATION_METADATA__COLLECTION` The feature id for the 'Collection' attribute
    `static int` | `ASSOCIATION_METADATA__GENERIC_TYPE` The feature id for the 'Generic Type' attribute
    `static int` | `ASSOCIATION_METADATA__NAME` The feature id for the 'Name' attribute
    `static int` | `ASSOCIATION_METADATA__NO_ARG_CONSTRUCTOR` The feature id for the 'No Arg Constructor' attribute
    `static int` | `ASSOCIATION_METADATA__TYPE` The feature id for the 'Type' attribute
    `static int` | `ASSOCIATION_METADATA_FEATURE_COUNT` The number of structural features of the 'Association Metadata' class
    `static int` | `ATTRIBUTE_METADATA` The meta object id for the '`Attribute Metadata`' class
    `static int` | `ATTRIBUTE_METADATA__ARRAY` The feature id for the 'Array' attribute
    `static int` | `ATTRIBUTE_METADATA__CATEGORY` The feature id for the 'Category' attribute
    `static int` | `ATTRIBUTE_METADATA__NAME` The feature id for the 'Name' attribute
    `static int` | `ATTRIBUTE_METADATA__TYPE` The feature id for the 'Type' attribute
    `static int` | `ATTRIBUTE_METADATA__TYPE_ENUM` The feature id for the 'Type Enum' attribute
    `static int` | `ATTRIBUTE_METADATA_FEATURE_COUNT` The number of structural features of the 'Attribute Metadata' class
    `static int` | `CLASS_METADATA` The meta object id for the '`Class Metadata`' class
    `static int` | `CLASS_METADATA__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `CLASS_METADATA__INTERFACE` The feature id for the 'Interface' attribute
    `static int` | `CLASS_METADATA__MEMBERS` The feature id for the 'Members' containment reference list
    `static int` | `CLASS_METADATA__NAME` The feature id for the 'Name' attribute
    `static int` | `CLASS_METADATA__PARENT` The feature id for the 'Parent' container reference
    `static int` | `CLASS_METADATA_FEATURE_COUNT` The number of structural features of the 'Class Metadata' class
    `static JavaPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `ENUM_METADATA` The meta object id for the '`Enum Metadata`' class
    `static int` | `ENUM_METADATA__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `ENUM_METADATA__NAME` The feature id for the 'Name' attribute
    `static int` | `ENUM_METADATA__PARENT` The feature id for the 'Parent' container reference
    `static int` | `ENUM_METADATA__VALUES` The feature id for the 'Values' attribute list
    `static int` | `ENUM_METADATA_FEATURE_COUNT` The number of structural features of the 'Enum Metadata' class
    `static int` | `JAVA_METADATA` The meta object id for the '`Metadata`' class
    `static int` | `JAVA_METADATA__PACKAGES` The feature id for the 'Packages' containment reference list
    `static int` | `JAVA_METADATA_FEATURE_COUNT` The number of structural features of the 'Metadata' class
    `static int` | `JAVA_METADATA_NODE` The meta object id for the '`Metadata Node`' class
    `static int` | `JAVA_METADATA_NODE__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `JAVA_METADATA_NODE__NAME` The feature id for the 'Name' attribute
    `static int` | `JAVA_METADATA_NODE__PARENT` The feature id for the 'Parent' container reference
    `static int` | `JAVA_METADATA_NODE_FEATURE_COUNT` The number of structural features of the 'Metadata Node' class
    `static int` | `MEMBER_METADATA` The meta object id for the '`Member Metadata`' class
    `static int` | `MEMBER_METADATA__ARRAY` The feature id for the 'Array' attribute
    `static int` | `MEMBER_METADATA__CATEGORY` The feature id for the 'Category' attribute
    `static int` | `MEMBER_METADATA__NAME` The feature id for the 'Name' attribute
    `static int` | `MEMBER_METADATA__TYPE` The feature id for the 'Type' attribute
    `static int` | `MEMBER_METADATA_FEATURE_COUNT` The number of structural features of the 'Member Metadata' class
    `static int` | `METADATA_CATEGORY` The meta object id for the '`Metadata Category`' enum
    `static int` | `PACKAGE_METADATA` The meta object id for the '`Package Metadata`' class
    `static int` | `PACKAGE_METADATA__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `PACKAGE_METADATA__NAME` The feature id for the 'Name' attribute
    `static int` | `PACKAGE_METADATA__PARENT` The feature id for the 'Parent' container reference
    `static int` | `PACKAGE_METADATA_FEATURE_COUNT` The number of structural features of the 'Package Metadata' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getAssociationMetadata_Collection()` Returns the meta object for the attribute '`Collection`'
    `org.eclipse.emf.ecore.EAttribute` | `getAssociationMetadata_GenericType()` Returns the meta object for the attribute '`Generic Type`'
    `org.eclipse.emf.ecore.EAttribute` | `getAssociationMetadata_NoArgConstructor()` Returns the meta object for the attribute '`No Arg Constructor`'
    `org.eclipse.emf.ecore.EClass` | `getAssociationMetadata()` Returns the meta object for class '`Association Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getAttributeMetadata_TypeEnum()` Returns the meta object for the attribute '`Type Enum`'
    `org.eclipse.emf.ecore.EClass` | `getAttributeMetadata()` Returns the meta object for class '`Attribute Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getClassMetadata_Interface()` Returns the meta object for the attribute '`Interface`'
    `org.eclipse.emf.ecore.EReference` | `getClassMetadata_Members()` Returns the meta object for the containment reference list '`Members`'
    `org.eclipse.emf.ecore.EClass` | `getClassMetadata()` Returns the meta object for class '`Class Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getEnumMetadata_Values()` Returns the meta object for the attribute list '`Values`'
    `org.eclipse.emf.ecore.EClass` | `getEnumMetadata()` Returns the meta object for class '`Enum Metadata`'
    `JavaFactory` | `getJavaFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EReference` | `getJavaMetadata_Packages()` Returns the meta object for the containment reference list '`Packages`'
    `org.eclipse.emf.ecore.EClass` | `getJavaMetadata()` Returns the meta object for class '`Metadata`'
    `org.eclipse.emf.ecore.EReference` | `getJavaMetadataNode_Children()` Returns the meta object for the containment reference list '`Children`'
    `org.eclipse.emf.ecore.EAttribute` | `getJavaMetadataNode_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EReference` | `getJavaMetadataNode_Parent()` Returns the meta object for the container reference '`Parent`'
    `org.eclipse.emf.ecore.EClass` | `getJavaMetadataNode()` Returns the meta object for class '`Metadata Node`'
    `org.eclipse.emf.ecore.EAttribute` | `getMemberMetadata_Array()` Returns the meta object for the attribute '`Array`'
    `org.eclipse.emf.ecore.EAttribute` | `getMemberMetadata_Category()` Returns the meta object for the attribute '`Category`'
    `org.eclipse.emf.ecore.EAttribute` | `getMemberMetadata_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getMemberMetadata_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getMemberMetadata()` Returns the meta object for class '`Member Metadata`'
    `org.eclipse.emf.ecore.EEnum` | `getMetadataCategory()` Returns the meta object for enum '`Metadata Category`'
    `org.eclipse.emf.ecore.EClass` | `getPackageMetadata()` Returns the meta object for class '`Package Metadata`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final JavaPackage eINSTANCE

      The singleton instance of the package.

    - #### JAVA_METADATA

          static final int JAVA_METADATA

      The meta object id for the '`Metadata`' class.
      See Also:
        `JavaMetadataImpl`, `JavaPackageImpl.getJavaMetadata()`, Constant Field Values

    - #### JAVA_METADATA__PACKAGES

          static final int JAVA_METADATA__PACKAGES

      The feature id for the 'Packages' containment reference list.
      See Also:
        Constant Field Values

    - #### JAVA_METADATA_FEATURE_COUNT

          static final int JAVA_METADATA_FEATURE_COUNT

      The number of structural features of the 'Metadata' class.
      See Also:
        Constant Field Values

    - #### JAVA_METADATA_NODE

          static final int JAVA_METADATA_NODE

      The meta object id for the '`Metadata Node`' class.
      See Also:
        `JavaMetadataNodeImpl`, `JavaPackageImpl.getJavaMetadataNode()`, Constant Field Values

    - #### JAVA_METADATA_NODE__NAME

          static final int JAVA_METADATA_NODE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### JAVA_METADATA_NODE__CHILDREN

          static final int JAVA_METADATA_NODE__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### JAVA_METADATA_NODE__PARENT

          static final int JAVA_METADATA_NODE__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### JAVA_METADATA_NODE_FEATURE_COUNT

          static final int JAVA_METADATA_NODE_FEATURE_COUNT

      The number of structural features of the 'Metadata Node' class.
      See Also:
        Constant Field Values

    - #### PACKAGE_METADATA

          static final int PACKAGE_METADATA

      The meta object id for the '`Package Metadata`' class.
      See Also:
        `PackageMetadataImpl`, `JavaPackageImpl.getPackageMetadata()`, Constant Field Values

    - #### PACKAGE_METADATA__NAME

          static final int PACKAGE_METADATA__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### PACKAGE_METADATA__CHILDREN

          static final int PACKAGE_METADATA__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### PACKAGE_METADATA__PARENT

          static final int PACKAGE_METADATA__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### PACKAGE_METADATA_FEATURE_COUNT

          static final int PACKAGE_METADATA_FEATURE_COUNT

      The number of structural features of the 'Package Metadata' class.
      See Also:
        Constant Field Values

    - #### CLASS_METADATA

          static final int CLASS_METADATA

      The meta object id for the '`Class Metadata`' class.
      See Also:
        `ClassMetadataImpl`, `JavaPackageImpl.getClassMetadata()`, Constant Field Values

    - #### CLASS_METADATA__NAME

          static final int CLASS_METADATA__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### CLASS_METADATA__CHILDREN

          static final int CLASS_METADATA__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### CLASS_METADATA__PARENT

          static final int CLASS_METADATA__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### CLASS_METADATA__INTERFACE

          static final int CLASS_METADATA__INTERFACE

      The feature id for the 'Interface' attribute.
      See Also:
        Constant Field Values

    - #### CLASS_METADATA__MEMBERS

          static final int CLASS_METADATA__MEMBERS

      The feature id for the 'Members' containment reference list.
      See Also:
        Constant Field Values

    - #### CLASS_METADATA_FEATURE_COUNT

          static final int CLASS_METADATA_FEATURE_COUNT

      The number of structural features of the 'Class Metadata' class.
      See Also:
        Constant Field Values

    - #### MEMBER_METADATA

          static final int MEMBER_METADATA

      The meta object id for the '`Member Metadata`' class.
      See Also:
        `MemberMetadataImpl`, `JavaPackageImpl.getMemberMetadata()`, Constant Field Values

    - #### MEMBER_METADATA__CATEGORY

          static final int MEMBER_METADATA__CATEGORY

      The feature id for the 'Category' attribute.
      See Also:
        Constant Field Values

    - #### MEMBER_METADATA__ARRAY

          static final int MEMBER_METADATA__ARRAY

      The feature id for the 'Array' attribute.
      See Also:
        Constant Field Values

    - #### MEMBER_METADATA__TYPE

          static final int MEMBER_METADATA__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### MEMBER_METADATA__NAME

          static final int MEMBER_METADATA__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### MEMBER_METADATA_FEATURE_COUNT

          static final int MEMBER_METADATA_FEATURE_COUNT

      The number of structural features of the 'Member Metadata' class.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_METADATA

          static final int ATTRIBUTE_METADATA

      The meta object id for the '`Attribute Metadata`' class.
      See Also:
        `AttributeMetadataImpl`, `JavaPackageImpl.getAttributeMetadata()`, Constant Field Values

    - #### ATTRIBUTE_METADATA__CATEGORY

          static final int ATTRIBUTE_METADATA__CATEGORY

      The feature id for the 'Category' attribute.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_METADATA__ARRAY

          static final int ATTRIBUTE_METADATA__ARRAY

      The feature id for the 'Array' attribute.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_METADATA__TYPE

          static final int ATTRIBUTE_METADATA__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_METADATA__NAME

          static final int ATTRIBUTE_METADATA__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_METADATA__TYPE_ENUM

          static final int ATTRIBUTE_METADATA__TYPE_ENUM

      The feature id for the 'Type Enum' attribute.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_METADATA_FEATURE_COUNT

          static final int ATTRIBUTE_METADATA_FEATURE_COUNT

      The number of structural features of the 'Attribute Metadata' class.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA

          static final int ASSOCIATION_METADATA

      The meta object id for the '`Association Metadata`' class.
      See Also:
        `AssociationMetadataImpl`, `JavaPackageImpl.getAssociationMetadata()`, Constant Field Values

    - #### ASSOCIATION_METADATA__CATEGORY

          static final int ASSOCIATION_METADATA__CATEGORY

      The feature id for the 'Category' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA__ARRAY

          static final int ASSOCIATION_METADATA__ARRAY

      The feature id for the 'Array' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA__TYPE

          static final int ASSOCIATION_METADATA__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA__NAME

          static final int ASSOCIATION_METADATA__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA__COLLECTION

          static final int ASSOCIATION_METADATA__COLLECTION

      The feature id for the 'Collection' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA__NO_ARG_CONSTRUCTOR

          static final int ASSOCIATION_METADATA__NO_ARG_CONSTRUCTOR

      The feature id for the 'No Arg Constructor' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA__GENERIC_TYPE

          static final int ASSOCIATION_METADATA__GENERIC_TYPE

      The feature id for the 'Generic Type' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_METADATA_FEATURE_COUNT

          static final int ASSOCIATION_METADATA_FEATURE_COUNT

      The number of structural features of the 'Association Metadata' class.
      See Also:
        Constant Field Values

    - #### ENUM_METADATA

          static final int ENUM_METADATA

      The meta object id for the '`Enum Metadata`' class.
      See Also:
        `EnumMetadataImpl`, `JavaPackageImpl.getEnumMetadata()`, Constant Field Values

    - #### ENUM_METADATA__NAME

          static final int ENUM_METADATA__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ENUM_METADATA__CHILDREN

          static final int ENUM_METADATA__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### ENUM_METADATA__PARENT

          static final int ENUM_METADATA__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### ENUM_METADATA__VALUES

          static final int ENUM_METADATA__VALUES

      The feature id for the 'Values' attribute list.
      See Also:
        Constant Field Values

    - #### ENUM_METADATA_FEATURE_COUNT

          static final int ENUM_METADATA_FEATURE_COUNT

      The number of structural features of the 'Enum Metadata' class.
      See Also:
        Constant Field Values

    - #### METADATA_CATEGORY

          static final int METADATA_CATEGORY

      The meta object id for the '`Metadata Category`' enum.
      See Also:
        `MetadataCategory`, `JavaPackageImpl.getMetadataCategory()`, Constant Field Values

  - ### Method Detail

    - #### getJavaMetadata

          org.eclipse.emf.ecore.EClass getJavaMetadata()

      Returns the meta object for class '`Metadata`'.
      Returns:
        the meta object for class 'Metadata'.
      See Also:
        `JavaMetadata`

    - #### getJavaMetadata_Packages

          org.eclipse.emf.ecore.EReference getJavaMetadata_Packages()

      Returns the meta object for the containment reference list '`Packages`'.
      Returns:
        the meta object for the containment reference list 'Packages'.
      See Also:
        `JavaMetadata.getPackages()`, `getJavaMetadata()`

    - #### getJavaMetadataNode

          org.eclipse.emf.ecore.EClass getJavaMetadataNode()

      Returns the meta object for class '`Metadata Node`'.
      Returns:
        the meta object for class 'Metadata Node'.
      See Also:
        `JavaMetadataNode`

    - #### getJavaMetadataNode_Name

          org.eclipse.emf.ecore.EAttribute getJavaMetadataNode_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `JavaMetadataNode.getName()`, `getJavaMetadataNode()`

    - #### getJavaMetadataNode_Children

          org.eclipse.emf.ecore.EReference getJavaMetadataNode_Children()

      Returns the meta object for the containment reference list '`Children`'.
      Returns:
        the meta object for the containment reference list 'Children'.
      See Also:
        `JavaMetadataNode.getChildren()`, `getJavaMetadataNode()`

    - #### getJavaMetadataNode_Parent

          org.eclipse.emf.ecore.EReference getJavaMetadataNode_Parent()

      Returns the meta object for the container reference '`Parent`'.
      Returns:
        the meta object for the container reference 'Parent'.
      See Also:
        `JavaMetadataNode.getParent()`, `getJavaMetadataNode()`

    - #### getPackageMetadata

          org.eclipse.emf.ecore.EClass getPackageMetadata()

      Returns the meta object for class '`Package Metadata`'.
      Returns:
        the meta object for class 'Package Metadata'.
      See Also:
        `PackageMetadata`

    - #### getClassMetadata

          org.eclipse.emf.ecore.EClass getClassMetadata()

      Returns the meta object for class '`Class Metadata`'.
      Returns:
        the meta object for class 'Class Metadata'.
      See Also:
        `ClassMetadata`

    - #### getClassMetadata_Interface

          org.eclipse.emf.ecore.EAttribute getClassMetadata_Interface()

      Returns the meta object for the attribute '`Interface`'.
      Returns:
        the meta object for the attribute 'Interface'.
      See Also:
        `ClassMetadata.isInterface()`, `getClassMetadata()`

    - #### getClassMetadata_Members

          org.eclipse.emf.ecore.EReference getClassMetadata_Members()

      Returns the meta object for the containment reference list '`Members`'.
      Returns:
        the meta object for the containment reference list 'Members'.
      See Also:
        `ClassMetadata.getMembers()`, `getClassMetadata()`

    - #### getMemberMetadata

          org.eclipse.emf.ecore.EClass getMemberMetadata()

      Returns the meta object for class '`Member Metadata`'.
      Returns:
        the meta object for class 'Member Metadata'.
      See Also:
        `MemberMetadata`

    - #### getMemberMetadata_Category

          org.eclipse.emf.ecore.EAttribute getMemberMetadata_Category()

      Returns the meta object for the attribute '`Category`'.
      Returns:
        the meta object for the attribute 'Category'.
      See Also:
        `MemberMetadata.getCategory()`, `getMemberMetadata()`

    - #### getMemberMetadata_Array

          org.eclipse.emf.ecore.EAttribute getMemberMetadata_Array()

      Returns the meta object for the attribute '`Array`'.
      Returns:
        the meta object for the attribute 'Array'.
      See Also:
        `MemberMetadata.isArray()`, `getMemberMetadata()`

    - #### getMemberMetadata_Type

          org.eclipse.emf.ecore.EAttribute getMemberMetadata_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `MemberMetadata.getType()`, `getMemberMetadata()`

    - #### getMemberMetadata_Name

          org.eclipse.emf.ecore.EAttribute getMemberMetadata_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `MemberMetadata.getName()`, `getMemberMetadata()`

    - #### getAttributeMetadata

          org.eclipse.emf.ecore.EClass getAttributeMetadata()

      Returns the meta object for class '`Attribute Metadata`'.
      Returns:
        the meta object for class 'Attribute Metadata'.
      See Also:
        `AttributeMetadata`

    - #### getAttributeMetadata_TypeEnum

          org.eclipse.emf.ecore.EAttribute getAttributeMetadata_TypeEnum()

      Returns the meta object for the attribute '`Type Enum`'.
      Returns:
        the meta object for the attribute 'Type Enum'.
      See Also:
        `AttributeMetadata.isTypeEnum()`, `getAttributeMetadata()`

    - #### getAssociationMetadata

          org.eclipse.emf.ecore.EClass getAssociationMetadata()

      Returns the meta object for class '`Association Metadata`'.
      Returns:
        the meta object for class 'Association Metadata'.
      See Also:
        `AssociationMetadata`

    - #### getAssociationMetadata_Collection

          org.eclipse.emf.ecore.EAttribute getAssociationMetadata_Collection()

      Returns the meta object for the attribute '`Collection`'.
      Returns:
        the meta object for the attribute 'Collection'.
      See Also:
        `AssociationMetadata.isCollection()`, `getAssociationMetadata()`

    - #### getAssociationMetadata_NoArgConstructor

          org.eclipse.emf.ecore.EAttribute getAssociationMetadata_NoArgConstructor()

      Returns the meta object for the attribute '`No Arg Constructor`'.
      Returns:
        the meta object for the attribute 'No Arg Constructor'.
      See Also:
        `AssociationMetadata.isNoArgConstructor()`, `getAssociationMetadata()`

    - #### getAssociationMetadata_GenericType

          org.eclipse.emf.ecore.EAttribute getAssociationMetadata_GenericType()

      Returns the meta object for the attribute '`Generic Type`'.
      Returns:
        the meta object for the attribute 'Generic Type'.
      See Also:
        `AssociationMetadata.getGenericType()`, `getAssociationMetadata()`

    - #### getEnumMetadata

          org.eclipse.emf.ecore.EClass getEnumMetadata()

      Returns the meta object for class '`Enum Metadata`'.
      Returns:
        the meta object for class 'Enum Metadata'.
      See Also:
        `EnumMetadata`

    - #### getEnumMetadata_Values

          org.eclipse.emf.ecore.EAttribute getEnumMetadata_Values()

      Returns the meta object for the attribute list '`Values`'.
      Returns:
        the meta object for the attribute list 'Values'.
      See Also:
        `EnumMetadata.getValues()`, `getEnumMetadata()`

    - #### getMetadataCategory

          org.eclipse.emf.ecore.EEnum getMetadataCategory()

      Returns the meta object for enum '`Metadata Category`'.
      Returns:
        the meta object for enum 'Metadata Category'.
      See Also:
        `MetadataCategory`

    - #### getJavaFactory

          JavaFactory getJavaFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.